<!DOCTYPE html>
<html lang="fr">
	
<head>
	<title>{{ title }}</title>
	<link rel="shortcut icon" href="/static/favicon.ico" type="image/vnd.microsoft.icon">
	<link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">

	<!-- Import custom stylesheet -->
	<link href="{{url_for('static', filename = 'css/bulma.css')}}" rel="stylesheet">
	<link href="{{url_for('static', filename = 'css/bulma-slider.min.css')}}" rel="stylesheet">
	<link href="{{url_for('static', filename = 'css/cropper.min.css')}}" rel="stylesheet">
	<link href="{{url_for('static', filename = 'css/splide.min.css')}}" rel="stylesheet">
	
</head>

<body>

	
<div class="full-page"></div>
<!-- Barre de navigation -->
<nav class="navbar block">
	
		<div class="navbar-item">
		<!-- Logo en haut à gauche de la page -->
		<a href="https://eyesmart.media/"><img width="110" height="137" src='{{url_for("static", filename= "image/eyesmart-logo_0.png")}}' alt="logo"></a>
		<h1>Jeu Première Page</h1>
		</div>		
	
</nav>
	
	<!-- page d'introduction -->
	<div id="zeroStep" class="block footer" style='background-image: url({{url_for("static", filename = "image/magazines-homme-femme.jpg")}});
	background-position: center center;
	background-repeat:  no-repeat;
	background-attachment: fixed;
	background-size:  cover;
	background-color: #999;
	height: 100%;'>
			
			<div class="columns is-centered is-vcentered block">
				<!-- collone de gauche -->
				<div class="column is-third">
					<div class="card">
						<div class="card-content">
					<p class="block">Découvrez le rôle des multiples ingrédients d’un portrait.</p>
					<p class="block">Garçon, fille ou autre… Essayez-vous à des expressions sérieuses ou rieuses, testez des postures variées.
					<p class="block">A plusieurs ou seul.e, soyez spontané.e.s ou mettez-vous en scène pour faire une couverture de magazine ou de journal. <br></p>
				</div>
				</div>
				</div>
				<!-- collone du milieu -->
				<div class="column is-third">
					<div class="card">
						<div class="card-content">
						<h2 class="has-text-centered block">Bienvenu.e au jeu <br> Première Page <br></h2>
						<div class="buttons is-centered">
							<button class="button is-primary has-text-centered" onclick="nextStep()"> JOUER </button>
							<p class="has-text-centered block">Ce jeu est issu de la collaboration entre Fondation Image et Société et des étudiants du Centre Universitaire d’Informatique (Université de Genève).</p>

						</div>
					</div>
					
				</div>
				</div>
				<!-- collone de droite -->
				<div class="column is-third">
					<div class="card">
						<div class="card-content">
					<p class="block">« Première Page » est une occasion de comprendre l’influence des ingrédients d’une mise en page sur un portrait médiatisé.</p>
						<p class="block">Au fil des transformations, découvrez comment le cadrage, la lumière, la couleur, les textes et le contexte affectent vos émotions.</p>
						<p class="block">Qu’est-ce qui les influence en particulier ?</p>
					</div>
				</div>
				</div>
			</div>

	</div>
<!-- étape de recadrage de l'image -->
	<div id="firstStep">
	
		<!-- Texte affiché avant l'import de l'image -->
		<div class="help-text center-align block">
			<h1 class="title has-text-centered">Téléverser une image pour commencer</h1>
		</div>
		
		<div class="columns">

			<div class="column is-half">

				

				<div id="first-step-options">
				<!-- Hidden image that will be used for
				holding the source image -->
				<div class="box">
					<img id="sourceImage" alt="sourceImage" class="block" style="display:none" crossorigin="anonymous"> 
				</div>
				
				
				<div class="buttons block">
					<!-- bouton pour recadrer l'image -->
				<button class="button" id="cropImageBtn">Recadrer l'image
					
					<img src='{{url_for("static", filename = "image/crop.png")}}' alt="crop">
					
				</button>
				<!-- bouton pour retourner Horizontalement l'image -->
				<button class="button" id="flipimage" onclick="flipX()">Retourner horizontalement l'image
				<img src='{{url_for("static", filename = "image/miroir.png")}}' alt="miroir">
				</button>
				<button class="button" id="resetStep" onclick="resetCropper()">Recommencer
				<img src='{{url_for("static", filename = "image/reset.png")}}' alt="reset">
				</button>
				</div>

				<!-- slider pour pivoter l'image -->
				<div id="controls">
					
						<div id="rotation-menu">
							<label for="rotation">
								Rotation
							</label>
							<input	class="slider is-fullwidth has-output is-large is-circle" id="rotationSlider"
									type="range" value="0"
									min="0" max="360"
									oninput="rotate()">
							<output for="rotationSlider" id="rotationSliderTooltip">0</output>
						</div>
					
				</div>


				</div>

				<div class="file-controls">
														
					<!-- Element that will be later used to download
					the canvas image from code -->
					<a id="link"></a>
					
					<!-- Selecteur de l'image pour le téléverser -->
					<div class="file block">
						<label class="file-label">
						<input class="file-input" type="file" accept="image/*" name="resume" onchange="uploadImage(event)">
						<span class="file-cta">
							<span class="file-icon">
							<em class="fas fa-upload"></em>
							</span>
							<span class="file-label">
							Choisir une photo
							</span>
						</span>
						</label>
					</div>

				</div>
			</div>
				
			<!-- résultat du recadrage -->
			<div class="column is-half">
				<div class="box" id="preview-box" style="display: none;">
				<div class="image-preview">
					<img src="" id="output" alt="Votre image apparaîtera ici">
					</div>
				</div>
			</div>

		</div>


		<!-- buttons to change steps-->
		<div class="buttons  is-centered block">
			<button class="button is-danger" onclick="previousStep()">Étape précédente</button>
			<button class="button is-primary" onclick="nextStep()" id="firstNext">Étape suivante</button>
		</div>

	</div>
	
	<!-- étape pour changer les filtres -->
	<div id="secondStep" style.display="none">

		<div class="columns is-vcentered">

			<div class="column is-half">
				<!-- Hidden image that will be used for
				holding the source image -->
				<img id="sourceImage" alt="source image" crossorigin="anonymous">

				<div class="image-preview">
					<!-- Canvas that will hold the
					image to be edited -->
					<div>
						<canvas id="canvas" height="0"></canvas>
					</div>
				</div>
			</div>
	
			<div class="container app" id="application">
				
				<!-- les boutons pour controler l'image-->
				<div class="image-controls" id="controls">
					
					<div class="columns is-multiline is-centered ">
						<div class="column is-full">
						<div class="buttons are-normal is-centered" id="save-reset">
							<a id="save" download="save.png"></a>
							<button class="button is-primary"
									onclick="saveImage()">
							Télécharger
							<img src='{{url_for("static", filename="image/download.png")}}' alt="download">
							</button>
							
							<!--button to reset the image filters-->
							<button class="button is-danger"
									onclick="resetImage()">
							Recommencer
							<img src='{{url_for("static", filename = "image/reset.png")}}' alt="reset">
							</button>
						</div>
					</div>
						<!-- boutons pour filtrer l'image -->
						<div class="column is-full">
							<h1 class="title">Filtrer votre image:</h1>
						</div>
						
						<div class="column is-full">
							<div class="buttons is-centered">
								
								<button class="button is-danger" onclick="backwards()">
									
									<img src='{{url_for("static", filename = "image/undo.png")}}' alt="undo">
									Annuler
								
								</button>
								<button class="button is-primary" onclick="forward()">Rétablir
									
								<img src='{{url_for("static", filename = "image/redo.png")}}' alt="redo">
								</button>
							</div>
						</div>

						<div class="column is-full">
							<label for="brightnessSlider">
								Luminosité
							</label>
								<input class="slider is-fullwidth has-output is-large is-circle" id="brightnessSlider"
									type="range" value="100"
									min="40" max="300"
									oninput="applyFilter()"
									onchange="historyPush()">
								<output for="brightnessSlider" id="brightnessSliderTooltip">100</output>
						</div>

						<div class="column is-full">	
								<label for="contrastSlider">
								Contraste
								</label>
								<input class="slider is-fullwidth has-output is-medium is-circle" id="contrastSlider"
									type="range" value="100"
									min="20" max="200"
									oninput="applyFilter()"
									onchange="historyPush()">
								<output for="contrastSlider" id="contrastSliderTooltip">100</output>
						</div>
						<!-- Décommenter pour avoir le niveau de gris
						<div class="column is-full">
							
								<label for="grayscaleSlider">
								Niveau de gris
								</label>
								<input class="slider is-fullwidth has-output is-large is-circle" id="grayscaleSlider"
									type="range" value="0"
									min="0" max="100"
									oninput="applyFilter()">
								<output for="grayscaleSlider" id="grayscaleSliderTooltip">0</output>
						</div>
						-->

						<div class="column is-full">
							
								<label for="saturationSlider">
								Saturation
								</label>
								<input class="slider is-fullwidth has-output is-large is-circle" id="saturationSlider"
									type="range" value="100"
									min="0" max="300"
									oninput="applyFilter()"
									onchange="historyPush()">
								<output for="saturationSlider" id="saturationSliderTooltip">100</output>
						</div>
						
						<div class="column is-full">
							<label for="hueRotateSlider">
							Teinte &nbsp; &nbsp; &nbsp;
							</label>
							<input class="slider is-fullwidth has-output is-large is-circle" id="hueRotateSlider"
								type="range" value="0"
								min="0" max="360"
								oninput="applyFilter()"
								onchange="historyPush()">
							<output for="hueRotateSlider" id="hueSliderTooltip">100</output>
						</div>

						<div class="column is-full">
							<label for="whitebalanceSlider">
							Balance des blancs
							</label>
							<input class="slider is-fullwidth has-output is-large is-circle" id="whitebalanceSlider"
								type="range" value="6600"
								min="4000" max="25000"
								oninput="applyFilter()"
								onchange="historyPush()">
							<output for="whitebalanceSlider" id="whitebalanceSlider">40000</output>
						</div>
						
						<!-- boutons pour changer d'etape -->
						<div class="buttons  is-centered">

							<button class="button is-danger" onclick="previousStep()"> Étape précédente</button>
							<button class="button is-primary" onclick="nextStep()"> Étape suivante</button>
						
						</div>

					</div>
				</div>

			</div>
		</div>
	</div>
	<!-- étape pour choisir la couverture-->
	<div id="thirdStep" style.display="none">
		<div class="container">
              <div class="columns">
                    <div class="column has-text-centered">
						<!-- titre de l'étape-->
                        <h1 class="title" style="color: rgb(40, 40, 40); --darkreader-inline-color:#c7dbff;" data-darkreader-inline-color="#c7dbff">Sélectionner une couverture</h1><br>
                    </div>
                </div>
			
			<div class="has-text-centered">
				<!-- canvas qui va être affiché-->
				<canvas id="myCanvas" height="400" width="300"> votre navigateur ne supporte pas le canvas</canvas>
				<!-- canvas qui est caché mais qui va être téléchargé-->
				<canvas id="myCanvas3" hidden="hidden" height="3600" width="2700"> votre navigateur ne supporte pas le canvas</canvas>
			</div>

        </div>

		<section class="section"> 
			<div class="container">
				<!-- caousel qui permet de naviguer à travers les couvertures-->
				<section class="splide"data-splide='{"type":"slide", "rewind":true,"perPage":5}' aria-label="Splide Basic HTML Example">
					<div class="splide__track">
							<ul class="splide__list">
							{%for image in images %}
								<li class="splide__slide">
								<div class="splide__slide__container">
									<div class="box">
									<img src="{{url_for('static', filename='premierePage/'+image)}}" alt="{{image}}" onclick="selectCouv(this)">
									</div>
								</div>
								</li>
								{%endfor%}
							</ul>
					</div>
					<ul class="splide__pagination"></ul>
				</section>	
			</div>
		</section>
			
		<div class="container">
			<div class="columns is-centered">
				<div class="buttons is-centered">
					<!-- boutons pour changer d'étape -->
					<button class="button is-danger" onclick="previousStep()"> Étape précédente</button>
					<button class="button is-primary" onclick="nextStep()"> Étape suivante</button>
					<!-- bouton pour télécharger l'image -->
					<a id="download" download="Couverture.png">
						<button type="button" class="button is-primary" onclick='downloadCouv()'>Télécharger
						<img src='{{url_for("static", filename="image/download.png")}}' alt="download">
						</button>
					</a>
				</div>
			</div>
		</div>
		
	</div>
	<!-- étape pour ajouter du texte -->
	<div id="fourthStep" style.display="none">
		
		<div class="columns">
			<div class="column is-half" id="text-image">
				<div class="box">
					<!-- canvas qui va être affiché-->
					<canvas id="c" height="400" width="300"></canvas>
					<!-- canvas qui est caché mais qui va être téléchargé-->
					<canvas id="c3" hidden="hidden" height="3600" width="2700"></canvas>
				  </div>
			</div>

			<div class="column is-half"  id="text-manage">
				

				<div class="container">
					<div class="columns is-multiline is-centered">
						<div class="column is-full">
					<button class="button is-primary" onclick="Addtext()">Ajouter un titre
					</button>
					<button class="button is-danger" id='delete'>Recommencer<img src='{{url_for("static", filename = "image/reset.png")}}' alt="redo">
					  </button>
					</div>
						<div class="column is-full">
						<!-- selection de la taille de police-->
					  <label for="text-font-size">Taille de la Police:</label>
					  <input class="slider is-fullwidth" type="range" value="18" min="1" max="120" step="1" id="text-font-size" style="width:70%;">
					
					</div>
					<div class="column is-full">
					<!-- selection des polices -->
					<label for="font-family" style="display:inline-block">Police du texte:</label>
					<select class="select" id="font-family">
					  <option value="arial" selected>Arial</option>
					  <option value="comic sans ms">Comic Sans MS</option>
					  <option value="courier">Courier</option>
					  <option value="engagement">Engagement</option>
					  <option value="georgia">Georgia</option>
					  <option value="helvetica">Helvetica</option>
					  <option value="impact">Impact</option>
					  <option value="optima">Optima</option>
					  <option value="Times New Roman">Times New Roman</option>
					  <option value="verdana">Verdana</option>
					  <input type="color" value="" id="text-color" size="10">
					</select>
					<br>
				</div>
					<div class="column is-full">
					<!-- selection de l'alignement du texte-->
					<label for="text-align" style="display:inline-block">Alignement du texte:</label>
					<select class="select" id="text-align">
					  <option value="left">Gauche</option>
					  <option value="center">Centre</option>
					  <option value="right">Droite</option>
					</select>
				</div>
					<div class="column is-full">
					<!-- selection de couleur de fond -->
					
					  <label for="text-bg-color"> Couleur de fond du titre: </label>
					  <input type="color" value="" id="text-bg-color" size="10">
					  <button class="button" id="background-reset" onclick="background_reset()">Fond transparent</button>
					
				</div>
					<div class="column is-full">
					<!-- changement du texte-->
					
					<div id="text-controls-additional">	
						<label class="checkbox">
					  <input type='checkbox' name='fonttype' id="text-cmd-bold"> Gras 
					</label>
					<label class="checkbox">
					  <input type='checkbox' name='fonttype' id="text-cmd-italic"> Italique 
					</label>
					<label class="checkbox">
					  <input type='checkbox' name='fonttype' id="text-cmd-underline"> Souligner 
					</label>			  
					</div>
					
				</div>

				<div class="column is-full">
					<ul>
						<li>
							Appuyer sur la touche <b>delete</b> pour supprimer un texte
						</li>
						<li>
							Pointer la souris sur le carré noir en haut de la boite de texte pour la pivoter
						</li>
					</ul>

				</div>
				  </div>	
				</div>	
				</div>
			</div>
			<div class="buttons  is-centered">
				<button class="button is-danger" onclick="previousStep()"> Étape précédente</button>
				<a id="download" download="Couverture.png">
					<button type="button" class="button is-primary" onclick='downloadCouv()'>Télécharger
					<img src='{{url_for("static", filename="image/download.png")}}' alt="download">
					</button>
				</a>
			</div>
		</div>

		<!-- Load the scripts for everything -->
		
		<script type="text/javascript" src="{{url_for('static', filename = 'js/cropper.min.js')}}"></script>
		<script type="text/javascript" src="{{url_for('static', filename = 'js/splide.min.js')}}"></script>
		<script>
		  new Splide('.splide').mount();
		</script>
		<script type="text/javascript" src="{{url_for('static', filename = 'js/bulma-slider.min.js')}}"></script>
		<script type="text/javascript">
		  bulmaSlider.attach();
		</script>
		<script type="text/javascript" src="{{url_for('static', filename = 'js/fabric.min.js')}}"></script>
		<script type="text/javascript" src="{{url_for('static', filename = 'js/jquery.min.js')}}"></script>
		<script type="text/javascript" src="{{url_for('static', filename = 'js/main.js')}}"></script>
	  </body>
	</html>
